# Installation

You can easily use echo3D as a backend for your [Flutter](https://flutter.dev/) project by integrating the [echo3D Flutter Plugin](https://pub.dev/packages/echoar_package).&#x20;

{% hint style="success" %}
You can skip these steps and start building now with our open-source [Flutter + echo3D](https://github.com/echo3Dco/Flutter-echo3D-plugin/tree/master/example) (no AR capabilities) or [Flutter + Unity + echo3D](https://github.com/echo3Dco/Flutter-Unity-ARFoundation-echo3D-example) (includes AR capabilities) example projects.
{% endhint %}

### **1. Setting Up the Config File**

Add the echo3D plugin as a dependency into your project's `pubspec.yaml` file:

```markup
dev_dependencies:
  echo3d_package: "^0.0.1+2"
```

### **2. Getting the Package**

After setting up the configuration file, run the following command:

```bash
flutter pub get
```

Add the package as an import in our Dart code:

```dart
import 'package:echo3d_package/echoar_package.dart';
```

### 3. Initializing the Project

Initialize your Flutter echo3D object by adding your API key:

```
Echo3D(apiKey: "<YOUR-API-KEY>");
```

**That's it! 🎉**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/flutter/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
